//************************************************************************
//************************************************************************
//
// Ref_Low.h for PGA_A
//
//  C declarations for the Continuous Time Programmable Gain Amplifier
// Copyright (c) 2000-2002 Cypress Microsystems, Inc. All rights reserved.
// Rev B, 2002 Mar 30
// UserModuleID "PGA_A" 
//
//************************************************************************
//************************************************************************
#include <M8C.h>

#define Ref_Low_OFF         0
#define Ref_Low_LOWPOWER    1
#define Ref_Low_MEDPOWER    2
#define Ref_Low_HIGHPOWER   3

#define Ref_Low_G16_0    0x08
#define Ref_Low_G8_00    0x18
#define Ref_Low_G5_33    0x28
#define Ref_Low_G4_00    0x38
#define Ref_Low_G3_20    0x48
#define Ref_Low_G2_67    0x58
#define Ref_Low_G2_27    0x68
#define Ref_Low_G2_00    0x78
#define Ref_Low_G1_78    0x88
#define Ref_Low_G1_60    0x98
#define Ref_Low_G1_46    0xA8
#define Ref_Low_G1_33    0xB8
#define Ref_Low_G1_23    0xC8
#define Ref_Low_G1_14    0xD8
#define Ref_Low_G1_06    0xE8
#define Ref_Low_G1_00    0xF8
#define Ref_Low_G0_93    0xE0
#define Ref_Low_G0_87    0xD0
#define Ref_Low_G0_81    0xC0
#define Ref_Low_G0_75    0xB0
#define Ref_Low_G0_68    0xA0
#define Ref_Low_G0_62    0x90
#define Ref_Low_G0_56    0x80
#define Ref_Low_G0_50    0x70
#define Ref_Low_G0_43    0x60
#define Ref_Low_G0_37    0x50
#define Ref_Low_G0_31    0x40
#define Ref_Low_G0_25    0x30
#define Ref_Low_G0_18    0x20
#define Ref_Low_G0_12    0x10
#define Ref_Low_G0_06    0x00



#pragma fastcall Ref_Low_Start
#pragma fastcall Ref_Low_SetPower

#pragma fastcall Ref_Low_SetGain

#pragma fastcall Ref_Low_Stop


extern void Ref_Low_Start(char power);
extern void Ref_Low_SetPower(char power);

extern void Ref_Low_SetGain(char chout);

extern void Ref_Low_Stop(void);


/************************************************
*  Hardware Register Definitions
*************************************************/
#pragma ioport  Ref_Low_GAIN_CR0:   0x075
BYTE            Ref_Low_GAIN_CR0;
#pragma ioport  Ref_Low_GAIN_CR1:   0x076
BYTE            Ref_Low_GAIN_CR1;
#pragma ioport  Ref_Low_GAIN_CR2:   0x077
BYTE            Ref_Low_GAIN_CR2;
