//***********************************************************************
//***********************************************************************
//
//  ADCINC12_1.h  for the 12 bit incremental A/D converter
//
//  C declarations for the ACDINC12 User Module.
//
//  Rev D, 2002 MAR 30
//
//  Copyright: Cypress Micro Systems 2000, 2001.  All Rights Reserved
//
//************************************************************************
//************************************************************************
#include <M8C.h>

#define ADCINC12_1_OFF         0
#define ADCINC12_1_LOWPOWER    1
#define ADCINC12_1_MEDPOWER    2
#define ADCINC12_1_HIGHPOWER   3

#pragma fastcall ADCINC12_1_Start
#pragma fastcall ADCINC12_1_SetPower
#pragma fastcall ADCINC12_1_GetSamples
#pragma fastcall ADCINC12_1_StopAD
#pragma fastcall ADCINC12_1_Stop

#pragma fastcall ADCINC12_1_fIsData
#pragma fastcall ADCINC12_1_iGetData
#pragma fastcall ADCINC12_1_ClearFlag


extern void ADCINC12_1_Start(char power);
extern void ADCINC12_1_SetPower(char power);
extern void ADCINC12_1_GetSamples(char chout);
extern void ADCINC12_1_StopAD(void);
extern void ADCINC12_1_Stop(void);

extern char ADCINC12_1_fIsData(void);
extern int  ADCINC12_1_iGetData(void);
extern void ADCINC12_1_ClearFlag(void);


/************************************************
*  Hardware Register Definitions
*************************************************/
#pragma ioport  ADCINC12_1_AtoDcr0: 0x080
BYTE            ADCINC12_1_AtoDcr0;
#pragma ioport  ADCINC12_1_AtoDcr1: 0x081
BYTE            ADCINC12_1_AtoDcr1;
#pragma ioport  ADCINC12_1_AtoDcr2: 0x082
BYTE            ADCINC12_1_AtoDcr2;
#pragma ioport  ADCINC12_1_AtoDcr3: 0x083
BYTE            ADCINC12_1_AtoDcr3;
#pragma ioport  ADCINC12_1_CounterFN:   0x124
BYTE            ADCINC12_1_CounterFN;
#pragma ioport  ADCINC12_1_CounterSL:   0x125
BYTE            ADCINC12_1_CounterSL;
#pragma ioport  ADCINC12_1_CounterOS:   0x126
BYTE            ADCINC12_1_CounterOS;
#pragma ioport  ADCINC12_1_CounterDR0:  0x024
BYTE            ADCINC12_1_CounterDR0;
#pragma ioport  ADCINC12_1_CounterDR1:  0x025
BYTE            ADCINC12_1_CounterDR1;
#pragma ioport  ADCINC12_1_CounterDR2:  0x026
BYTE            ADCINC12_1_CounterDR2;
#pragma ioport  ADCINC12_1_CounterCR0:  0x027
BYTE            ADCINC12_1_CounterCR0;
#pragma ioport  ADCINC12_1_TimerFN: 0x120
BYTE            ADCINC12_1_TimerFN;
#pragma ioport  ADCINC12_1_TimerSL: 0x121
BYTE            ADCINC12_1_TimerSL;
#pragma ioport  ADCINC12_1_TimerOS: 0x122
BYTE            ADCINC12_1_TimerOS;
#pragma ioport  ADCINC12_1_TimerDR0:    0x020
BYTE            ADCINC12_1_TimerDR0;
#pragma ioport  ADCINC12_1_TimerDR1:    0x021
BYTE            ADCINC12_1_TimerDR1;
#pragma ioport  ADCINC12_1_TimerDR2:    0x022
BYTE            ADCINC12_1_TimerDR2;
#pragma ioport  ADCINC12_1_TimerCR0:    0x023
BYTE            ADCINC12_1_TimerCR0;
