;;***********************************************************************
;;***********************************************************************
;;
;;  ADCINC12_1.inc  for the 12 bit incremental A/D converter
;;
;;  Assembler declarations for the ACDINC12 User Module.
;;
;;  Rev D, 2002 MAR 30
;;
;;  Copyright: Cypress Micro Systems 2000, 2001.  All Rights Reserved
;;
;;************************************************************************
;;************************************************************************

ADCINC12_1_AtoDcr0: equ 80h
ADCINC12_1_AtoDcr1: equ 81h
ADCINC12_1_AtoDcr2: equ 82h
ADCINC12_1_AtoDcr3: equ 83h
ADCINC12_1_CounterFN:   equ 24h
ADCINC12_1_CounterSL:   equ 25h
ADCINC12_1_CounterOS:   equ 26h
ADCINC12_1_CounterDR0:  equ 24h
ADCINC12_1_CounterDR1:  equ 25h
ADCINC12_1_CounterDR2:  equ 26h
ADCINC12_1_CounterCR0:  equ 27h
ADCINC12_1_TimerFN: equ 20h
ADCINC12_1_TimerSL: equ 21h
ADCINC12_1_TimerOS: equ 22h
ADCINC12_1_TimerDR0:    equ 20h
ADCINC12_1_TimerDR1:    equ 21h
ADCINC12_1_TimerDR2:    equ 22h
ADCINC12_1_TimerCR0:    equ 23h
ADCINC12_1_TimerMask:   equ  01h
ADCINC12_1_CounterMask: equ  02h
ADCINC12_1_OFF:         equ  0
ADCINC12_1_LOWPOWER:    equ  1
ADCINC12_1_MEDPOWER:    equ  2
ADCINC12_1_HIGHPOWER:   equ  3
ADCINC12_1_NUMBITS:     equ  12
ADCINC12_1_NoAZ:        equ  1
HighByte:                     equ  0
LowByte:                      equ  1

macro ADCINC12_1_ISDATA
   mov A,[ADCINC12_1_fIncr]
   endm

macro ADCINC12_1_GETDATA
   mov X,[(ADCINC12_1_iIncr + HighByte)]
   mov A,[(ADCINC12_1_iIncr + LowByte)]
   endm

macro ADCINC12_1_CLEARFLAG
   mov [ADCINC12_1_fIncr],00h
   endm





