//************************************************************************
//************************************************************************
//
// Buffer.h for PGA_A
//
//  C declarations for the Continuous Time Programmable Gain Amplifier
// Copyright (c) 2000-2002 Cypress Microsystems, Inc. All rights reserved.
// Rev B, 2002 Mar 30
// UserModuleID "PGA_A" 
//
//************************************************************************
//************************************************************************
#include <M8C.h>

#define Buffer_OFF         0
#define Buffer_LOWPOWER    1
#define Buffer_MEDPOWER    2
#define Buffer_HIGHPOWER   3

#define Buffer_G16_0    0x08
#define Buffer_G8_00    0x18
#define Buffer_G5_33    0x28
#define Buffer_G4_00    0x38
#define Buffer_G3_20    0x48
#define Buffer_G2_67    0x58
#define Buffer_G2_27    0x68
#define Buffer_G2_00    0x78
#define Buffer_G1_78    0x88
#define Buffer_G1_60    0x98
#define Buffer_G1_46    0xA8
#define Buffer_G1_33    0xB8
#define Buffer_G1_23    0xC8
#define Buffer_G1_14    0xD8
#define Buffer_G1_06    0xE8
#define Buffer_G1_00    0xF8
#define Buffer_G0_93    0xE0
#define Buffer_G0_87    0xD0
#define Buffer_G0_81    0xC0
#define Buffer_G0_75    0xB0
#define Buffer_G0_68    0xA0
#define Buffer_G0_62    0x90
#define Buffer_G0_56    0x80
#define Buffer_G0_50    0x70
#define Buffer_G0_43    0x60
#define Buffer_G0_37    0x50
#define Buffer_G0_31    0x40
#define Buffer_G0_25    0x30
#define Buffer_G0_18    0x20
#define Buffer_G0_12    0x10
#define Buffer_G0_06    0x00



#pragma fastcall Buffer_Start
#pragma fastcall Buffer_SetPower

#pragma fastcall Buffer_SetGain

#pragma fastcall Buffer_Stop


extern void Buffer_Start(char power);
extern void Buffer_SetPower(char power);

extern void Buffer_SetGain(char chout);

extern void Buffer_Stop(void);


/************************************************
*  Hardware Register Definitions
*************************************************/
#pragma ioport  Buffer_GAIN_CR0:    0x071
BYTE            Buffer_GAIN_CR0;
#pragma ioport  Buffer_GAIN_CR1:    0x072
BYTE            Buffer_GAIN_CR1;
#pragma ioport  Buffer_GAIN_CR2:    0x073
BYTE            Buffer_GAIN_CR2;
