//************************************************************************
//************************************************************************
//
// Reflow.h for PGA_A
//
//  C declarations for the Continuous Time Programmable Gain Amplifier
// Copyright (c) 2000 Cypress Microsystems, Inc. All rights reserved.
// Version "0.2-2001.01.22"
// UserModuleID "PGA_A" 
//
//************************************************************************
//************************************************************************

#define Reflow_OFF         0
#define Reflow_LOWPOWER    1
#define Reflow_MEDPOWER    2
#define Reflow_HIGHPOWER   3



#define Reflow_G16_0    0x08
#define Reflow_G8_00    0x18
#define Reflow_G5_33    0x28
#define Reflow_G4_00    0x38
#define Reflow_G3_20    0x48
#define Reflow_G2_67    0x58
#define Reflow_G2_27    0x68
#define Reflow_G2_00    0x78
#define Reflow_G1_78    0x88
#define Reflow_G1_60    0x98
#define Reflow_G1_46    0xA8
#define Reflow_G1_33    0xB8
#define Reflow_G1_23    0xC8
#define Reflow_G1_14    0xD8
#define Reflow_G1_06    0xE8
#define Reflow_G1_00    0xF8
#define Reflow_G0_93    0xE0
#define Reflow_G0_87    0xD0
#define Reflow_G0_81    0xC0
#define Reflow_G0_75    0xB0
#define Reflow_G0_68    0xA0
#define Reflow_G0_62    0x90
#define Reflow_G0_56    0x80
#define Reflow_G0_50    0x70
#define Reflow_G0_43    0x60
#define Reflow_G0_37    0x50
#define Reflow_G0_31    0x40
#define Reflow_G0_25    0x30
#define Reflow_G0_18    0x20
#define Reflow_G0_12    0x10
#define Reflow_G0_06    0x00



#pragma fastcall Reflow_Start
#pragma fastcall Reflow_SetPower

#pragma fastcall Reflow_SetGain

#pragma fastcall Reflow_Stop


extern void Reflow_Start(char power);
extern void Reflow_SetPower(char power);

extern void Reflow_SetGain(char chout);

extern void Reflow_Stop(void);
