//------------------------------------
//  Ohm Meter 
//
//  This program reads the value of
//  3 different voltages to determine
//  the ratio between Rt and Rref 
//
//------------------------------------
#include "m8c.h"
#include "ADCINC12_1.h"
#include "Buffer.h"
#include "Ref_Low.h"

int iV0, iV1,iV2;
float rAnswer;

void main(){
   Ref_Low_Start(Ref_Low_HIGHPOWER);
   Buffer_Start(Buffer_HIGHPOWER);
   ADCINC12_1_Start(ADCINC12_1_HIGHPOWER);
   
   ACA00CR2 |= 0x1c;  //set testmux to ref+
   ACA01CR2 |= 0x18;  //set testmux to ref-
   
   M8C_EnableGInt;
   while(1){
      //Reading V0 (Vref+)
      AMX_IN =(AMX_IN & 0xfc)| 0x01; //P0.3
      ADCINC12_1_GetSamples(1);
      while(!ADCINC12_1_fIsData());
      iV0 = ADCINC12_1_iGetData();
      
      //Reading V1 (Signal)
      AMX_IN =(AMX_IN & 0xfc)| 0x00; //P0.1 
      ADCINC12_1_GetSamples(1);
      while(!ADCINC12_1_fIsData());
      iV1 = ADCINC12_1_iGetData();
      
      //Reading V2 (Vref-)
      AMX_IN =(AMX_IN & 0xfc)| 0x02; //P0.5 
      ADCINC12_1_GetSamples(1);
      while(!ADCINC12_1_fIsData());
      iV2 = ADCINC12_1_iGetData();
      
      rAnswer =((float)(iV0-iV1))/((float)(iV1-iV2));
      //Answer can be viewed here with the ICE
   }
}
